// ***************************************************************************
// *                                                                         *
// * Port Poker                                                              *
// *                                                                         *
// * Header file for import library for NODPP000.DLL                         *
// *                                                                         *
// * Copyright (c) Novatex Research 1999                                     *
// *                                                                         *
// *                                                                         *
// * NodPP000.pas                                                            *
// *                                                                         *
// ***************************************************************************

procedure NovPPOutECP(hardwareport: Word; data: Byte); stdcall; external 'NodPP000';
// Writes a byte to the given hardware port.

function NovPPInECP(hardwareport: Word): Word; stdcall; external 'NodPP000';
// Reads a byte from the given hardware port.

function NovPPHookIrq(irqnumber: Integer; handle: HWND; message: Integer):Integer; stdcall; external 'NodPP000';
// Hooks an IRQ, sending the given HANDLE a message.

function NovPPUnhookIrq(irqnumber: Integer; handle: HWND):Integer; stdcall; external 'NodPP000';
// Releases the hook on an IRQ.

procedure NovPPSetECPIRQStatus(irqnumber: Integer; status: Integer); stdcall; external 'NodPP000';
// Shortcut to set the IRQ enabled bit on the parallel port that uses the given irqnumber.

function NovPPLoadDriver:Integer; stdcall; external 'NodPP000';
// Attempt to load the driver.


